sdk build tools revision is too low for project.

2017. 4. 7. 21:09


1. sdk build tools revision is too low for project.

안드로이드 스튜디오를 사용하여 안드로이드 앱을 개발하다 보면, 다양한 문제를 만날 수 있습니다. 작성한 코드가 잘 못 되어 빌드가 안되는 경우도 있고, 프로젝트에 추가한 외부 라이브러리 설정이 잘 못 되어서 에러가 발생하는 경우도 있습니다. 대부분의 문제들이 개발자가 추가 또는 수정을 잘 못 하여 생기는 것들이죠.


그런데, 어느 날 안드로이드 스튜디오를 실행했더니, 아래와 같은 에러가 발생합니다. 직접 한 거라곤, 업데이트 알림이 떠서 안드로이드 스튜디오를 최신 버전으로 업데이트한 것 뿐인데 말이죠.


sdk build tools revision is too low for project


에러 메시지의 내용은, "현재 사용 중인 SDK 빌드 도구(SDK Build Tools)의 버전인 "23.0.0"이 앱을 빌드하기엔 너무 낮으며, 최소 "25.0.0" 버전이 요구된다"는 의미입니다.


그럼 지금부터 문제를 해결하는 방법에 대해 알아보겠습니다. (참고로, 아래 내용은 다소 장황한 설명을 포함하고 있으므로, 간단한 해결방법을 확인하려면 본문의 맨 마지막 "4. 간단한 해결 방법."의 내용을 바로 확인하시기 바랍니다.)

2. SDK 빌드 도구 (SDK Build Tools)

안드로이드 앱 개발에 필요한 안드로이드 SDK에는 다양한 요소들이 포함되어 있습니다. 안드로이드 버전에 따른 필수 라이브러리를 포함하는 "SDK Platforms", 호스트 PC에서 안드로이드를 가상으로 실행할 수 있는 "Android Emulator", adb 및 logcat과 같은 플랫폼 도구가 포함된 "SDK Platform Tools" 등 여러 종류의 개발 도구들이 안드로이드 SDK안에 포함되어 있습니다.


그리고 그 중에서, 개발자가 작성한 안드로이드 앱 프로젝트에 대한 실질적인 빌드 프로세스를 수행하는 도구가 있는데, 그것이 바로 "SDK Build Tools"입니다.


SDK 빌드 도구(SDK Build Tools)는 안드로이드 스튜디오 버전 및 안드로이드 SDK 버전에 따라 지속적으로 그 기능이 수정되기 때문에, 특수한 경우(이전 버전의 SDK Build Tools를 사용해야만 하는 경우)가 아니라면, 최신 버전의 SDK 빌드 도구를 사용하는 것이 좋습니다.

2.1 SDK 빌드 도구(SDK Build Tools) 버전 확인.

현재 설치된 SDK 빌드 도구를 확인하기 위해서는 Tools - Android - SDK Manager를 선택합니다.

SDK 관리자(SDK Manager) 메뉴 실행


그러면 SDK 관리자(SDK Manager) 화면이 표시되는데, 화면의 "SDK Tools" 탭을 선택하여 SDK 도구 관리자(SDK Tools Manager) 화면을 표시합니다. 그리고 SDK 도구(SDK Tools)의 첫 번째 항목을 보면, "Android SDK Build-Tools"라고 표시된 항목이 있는데, 이곳에서 현재 SDK 빌드 도구(SDK Build Tools)의 버전을 확인할 수 있습니다.

SDK 도구 관리자(SDK Tools Manager) 선택


설치된 모든 버전을 확인하기 위해, 화면 아래의 "Show Package Details" 체크박스를 선택합니다.

Show Package Details


항목을 스크롤 하면, 현재 "21.1.2"과 "23.0.0"이 설치되어 있는 것을 확인할 수 있습니다. (환경에 따라 설치 버전은 상이할 수 있습니다.)

현재 설치된 SDK 빌드 도구(SDK Build Tools) 버전 확인


이제, 문제가 발생한 원인을 파악하셨으리라 생각합니다. 바로 이 SDK 빌드 도구(SDK Build Tools)의 버전이 낮아서 에러가 발생한 것이지요.

3. 해결 방법.

3.1 SDK 도구 관리자(SDK Tools Manager)에서 SDK 빌드 도구(SDK Build Tools) 추가하기.

자, 에러 메시지에 따르면, 문제가 발생한 이유가 SDK 빌드 도구(SDK Build Tools)를 최소 "25.0.0"을 사용해야 하지만, 현재 설치된 가장 최신의 버전이 "23.0.0"이기 때문이라는 것을 알 수 있죠.


그래서 문제를 해결하려면 "25.0.0"을 추가해야 합니다.


아래 그림과 같이 "25.0.0" 버전의 체크박스를 선택합니다. 그럼 버전 왼쪽에 "다운로드" 아이콘이 표시됩니다.

새로운 버전의 SDK 빌드 도구(SDK Build Tools) 추가


"OK" 또는 "Apply" 버튼을 누른 다음, "Confirm Change" 대화상자가 표시되면 "OK" 버튼을 선택합니다.

SDK 빌드 도구(SDK Build Tools) 설치 Confirm Change


아래 그림과 같이 다운로드 및 설치가 실행됩니다. 모든 과정이 완료되면 "Finish" 버튼을 눌러 완료합니다.

SDK 빌드 도구(SDK Build Tools) 설치 완료


3.2 프로젝트의 SDK 빌드 도구(SDK Build Tools) 버전 지정하기.

자, 이제 마지막 단계입니다. 프로젝트에서 새로 설치한 SDK 빌드 도구(SDK Build Tools)를 사용하도록 build.gradle 파일의 내용을 수정하면 모든 과정은 마치게 됩니다.


프로젝트의 build.gradle(Module: app) 파일을 열어, "buildToolsVersion" 항목의 내용을 확인하면 기존 버전인 "23.0.0"이 지정되어 있는 것을 볼 수 있습니다. 이 버전을 최신 버전인 "25.0.0"으로 변경한 다음, build.gradle 파일을 저장합니다.

build.gradle 파일에 SDK 빌드 도구 수정


"Try Again" 버튼을 선택하면, 변경된 버전으로 Gradle 빌드가 수행되는 내용이 상태바에 표시됩니다.

Gradle Sync Try Again


그리고 마침내 에러가 해결된 것을 확인할 수 있습니다.

문제 해결


4. 간단한 해결 방법.

앞서 정리한 내용은 SDK 빌드 도구(SDK Build Tools) 설정에 대한 이해와 수정 방법을 포함하고 있기 때문에, 다소 장황하게 설명되어 있습니다. 사실, 문제 대한 해결방법 자체는 매우 간단한데 말이죠.


문제가 발생하면 에러 메시지에 표시된 "Install Build Tools 25.0.0, update version in build file and sync project" 링크를 누르면, 앞서 설명한 모든 과정이 자동으로 수행됩니다. (설치 및 build.gradle 파일 수정)

간단한 문제 해결 방법


5. 참고

.END.


ANDROID 스튜디오/문제 해결 , , , , , ,